Bullet Collision Detection & Physics Library: btGeneric6DofSpring2ConstraintDoubleData2 Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btGeneric6DofSpring2ConstraintDoubleData2 Struct Reference

`#include <btGeneric6DofSpring2Constraint.h>`

Collaboration diagram for btGeneric6DofSpring2ConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
btVector3DoubleData | m_linearUpperLimit
btVector3DoubleData | m_linearLowerLimit
btVector3DoubleData | m_linearBounce
btVector3DoubleData | m_linearStopERP
btVector3DoubleData | m_linearStopCFM
btVector3DoubleData | m_linearMotorERP
btVector3DoubleData | m_linearMotorCFM
btVector3DoubleData | m_linearTargetVelocity
btVector3DoubleData | m_linearMaxMotorForce
btVector3DoubleData | m_linearServoTarget
btVector3DoubleData | m_linearSpringStiffness
btVector3DoubleData | m_linearSpringDamping
btVector3DoubleData | m_linearEquilibriumPoint
char | m_linearEnableMotor [4]
char | m_linearServoMotor [4]
char | m_linearEnableSpring [4]
char | m_linearSpringStiffnessLimited [4]
char | m_linearSpringDampingLimited [4]
char | m_padding1 [4]
btVector3DoubleData | m_angularUpperLimit
btVector3DoubleData | m_angularLowerLimit
btVector3DoubleData | m_angularBounce
btVector3DoubleData | m_angularStopERP
btVector3DoubleData | m_angularStopCFM
btVector3DoubleData | m_angularMotorERP
btVector3DoubleData | m_angularMotorCFM
btVector3DoubleData | m_angularTargetVelocity
btVector3DoubleData | m_angularMaxMotorForce
btVector3DoubleData | m_angularServoTarget
btVector3DoubleData | m_angularSpringStiffness
btVector3DoubleData | m_angularSpringDamping
btVector3DoubleData | m_angularEquilibriumPoint
char | m_angularEnableMotor [4]
char | m_angularServoMotor [4]
char | m_angularEnableSpring [4]
char | m_angularSpringStiffnessLimited [4]
char | m_angularSpringDampingLimited [4]
int | m_rotateOrder

## Detailed Description

Definition at line 535 of file btGeneric6DofSpring2Constraint.h.

## Member Data Documentation

## ◆ m_angularBounce

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularBounce

Definition at line 563 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEnableMotor

char btGeneric6DofSpring2ConstraintDoubleData2::m_angularEnableMotor[4]

Definition at line 574 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEnableSpring

char btGeneric6DofSpring2ConstraintDoubleData2::m_angularEnableSpring[4]

Definition at line 576 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEquilibriumPoint

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularEquilibriumPoint

Definition at line 573 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularLowerLimit

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularLowerLimit

Definition at line 562 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMaxMotorForce

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularMaxMotorForce

Definition at line 569 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMotorCFM

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularMotorCFM

Definition at line 567 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMotorERP

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularMotorERP

Definition at line 566 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularServoMotor

char btGeneric6DofSpring2ConstraintDoubleData2::m_angularServoMotor[4]

Definition at line 575 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularServoTarget

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularServoTarget

Definition at line 570 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringDamping

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringDamping

Definition at line 572 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringDampingLimited

char btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringDampingLimited[4]

Definition at line 578 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringStiffness

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringStiffness

Definition at line 571 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringStiffnessLimited

char btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringStiffnessLimited[4]

Definition at line 577 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularStopCFM

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularStopCFM

Definition at line 565 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularStopERP

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularStopERP

Definition at line 564 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularTargetVelocity

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularTargetVelocity

Definition at line 568 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularUpperLimit

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_angularUpperLimit

Definition at line 561 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearBounce

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearBounce

Definition at line 543 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEnableMotor

char btGeneric6DofSpring2ConstraintDoubleData2::m_linearEnableMotor[4]

Definition at line 554 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEnableSpring

char btGeneric6DofSpring2ConstraintDoubleData2::m_linearEnableSpring[4]

Definition at line 556 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEquilibriumPoint

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearEquilibriumPoint

Definition at line 553 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearLowerLimit

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearLowerLimit

Definition at line 542 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMaxMotorForce

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearMaxMotorForce

Definition at line 549 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMotorCFM

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearMotorCFM

Definition at line 547 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMotorERP

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearMotorERP

Definition at line 546 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearServoMotor

char btGeneric6DofSpring2ConstraintDoubleData2::m_linearServoMotor[4]

Definition at line 555 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearServoTarget

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearServoTarget

Definition at line 550 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringDamping

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringDamping

Definition at line 552 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringDampingLimited

char btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringDampingLimited[4]

Definition at line 558 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringStiffness

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringStiffness

Definition at line 551 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringStiffnessLimited

char btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringStiffnessLimited[4]

Definition at line 557 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearStopCFM

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearStopCFM

Definition at line 545 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearStopERP

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearStopERP

Definition at line 544 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearTargetVelocity

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearTargetVelocity

Definition at line 548 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearUpperLimit

btVector3DoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_linearUpperLimit

Definition at line 541 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_padding1

char btGeneric6DofSpring2ConstraintDoubleData2::m_padding1[4]

Definition at line 559 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_rbAFrame

Definition at line 538 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_rbBFrame

Definition at line 539 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rotateOrder

int btGeneric6DofSpring2ConstraintDoubleData2::m_rotateOrder

Definition at line 580 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData btGeneric6DofSpring2ConstraintDoubleData2::m_typeConstraintData

Definition at line 537 of file btGeneric6DofSpring2Constraint.h.

The documentation for this struct was generated from the following file:

- btGeneric6DofSpring2Constraint.h